VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "BarPlotStrategy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa BarPlotStrategy
Implements PlotStrategy
Dim plts As PlotStrategy

Private Sub Class_Initialize()
  Set plts = New PlotStrategy
End Sub

Private Sub PlotStrategy_findBounds(x() As Single, y() As Single)
  plts.findBounds x, y
End Sub

Private Function PlotStrategy_getXmax() As Single

End Function

Private Function PlotStrategy_getXmin() As Single

End Function

Private Function PlotStrategy_getYmax() As Single

End Function

Private Function PlotStrategy_getYmin() As Single

End Function

Private Sub PlotStrategy_plot(x() As Single, y() As Single)
  Dim bplot As New BarPlot
  plts.findBounds x, y
  bplot.setBounds plts.getXmin, plts.getXmax, plts.getYmin, plts.getYmax
  bplot.Show
  bplot.plot x(), y()
End Sub
